"Hands-free" mode
Closed, ResolvedPublic

Description

I have been searching a way to do this in Linux, but it seems impossible with current tools. I think it would be a neat improvement to Pitivi, given it aims to be as easy as possible.

The idea is to have an automatic mode, that with very few settings makes creating a video-summary from your last holidays a piece of cake.

It could be a step-by-step wizard:

Step 1: choose the sources.

  • Folder(s). It will get all multimedia files found in such folders.
  • Image default duration. It could default to 3s or something like that.
  • Soundtrack(s). Choose 1 or more songs for your video.
  • Image effects. Default: pan, zoom. Allow multiple.
  • Transitions. Default: dissolve. Allow multiple.
  • Audio on videos: choose among "no change", "reduce soundtrack volume", "mute soundtrack", "reduce video volume", "mute video".

Step 2: a grid view of all multimedia files, automatically sorted by either Exif data or file creation data.
Grid items should have a check mark to include them or not in the video. They should also be draggable to set the desired order. A live preview should be available too.
This dialog should have buttons:

  • (Un)select all.
  • Auto-select. Selects items randomly to fill up to the duration of all combined soundtracks. It could get some more intelligent in the future.

Step 3: Preview.
Just a live low-res preview of what you have chosen.

  • Clips would appear in order specified in step 2.
  • Image clips would have random effects from among those chosen at step 1.
  • Transitions would be randomly chosen among those specified in step 1.
  • Soundtracks would appear sequentially as chosen in step 1.
  • Video and soundtrack volume would be mixed as chosen in step 1.

Buttons available:

  • Go back (to change something).
  • Edit (to go to normal Pitivi mode).
  • Render.

What do you think? Does this fit the project, or should it be a totally different one?
Thanks.

Related Objects

StatusAssignedTask
Closedcsoriano1618
Closedcfoch
yajo created this task.Feb 23 2017, 5:58 PM
aleb triaged this task as Enhancement priority.Feb 23 2017, 8:54 PM
cfoch added a subscriber: cfoch.Mar 9 2017, 9:46 PM

Hi, should clips and effects be added to the Timeline? From my point of view all of this should happen from the backend side, so we avoid having too much UriClips and TransitionClips in between.
Nice idea!

yajo added a comment.Mar 11 2017, 7:29 AM

Well, my idea was to avoid having a timeline. That would be part of the normal Pitivi mode, but in the hands-free mode you would just sort the sources in step 2.

(Not sure what you mean with UriClips and TransitionClips BTW, I'm not into the internals of Pitivi right now 😅)

aleb added a subscriber: aleb.Mar 11 2017, 8:18 AM

The new plugins functionality cfoch is working on will allow having a plugin which allows the user to press a button to automatically create a timeline out of the selected clips in the media library. The timeline then can be saved our changed like any other timeline. It would work very similar to Google Awesome..

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/2008.

csoriano1618 closed this task as Closed.Sat, Feb 24, 2:33 PM
csoriano1618 claimed this task.